Bug 733924 - [abrt] picard-0.12.1-3.fc15: itemviews.py:193:update_file:KeyError: 4
Summary: [abrt] picard-0.12.1-3.fc15: itemviews.py:193:update_file:KeyError: 4
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: picard
Version: 15
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alex Lancaster
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:10effda60f9b5abc0ee3edc29e7...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-28 16:16 UTC by adam.hunston
Modified: 2011-09-07 00:09 UTC (History)
1 user (show)

Fixed In Version: picard-0.15.1-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-07 00:09:23 UTC


Attachments (Terms of Use)

Description adam.hunston 2011-08-28 16:16:45 UTC
abrt version: 2.0.3
architecture:   i686
cmdline:        /usr/bin/python /usr/bin/picard
comment:        Looking up music
component:      picard
executable:     /usr/bin/picard
kernel:         2.6.40.3-0.fc15.i686.PAE
os_release:     Fedora release 15 (Lovelock)
package:        picard-0.12.1-3.fc15
reason:         itemviews.py:193:update_file:KeyError: 4
time:           Sun Aug 28 17:11:21 2011
uid:            500
username:       adonai

backtrace:
:itemviews.py:193:update_file:KeyError: 4
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/picard/ui/itemviews.py", line 235, in add_file_to_cluster
:    self.update_file(file, item)
:  File "/usr/lib/python2.7/site-packages/picard/ui/itemviews.py", line 193, in update_file
:    color = self.file_colors[file.state]
:KeyError: 4
:
:Local variables in innermost frame:
:item: <PyQt4.QtGui.QTreeWidgetItem object at 0xb929614>
:self: <picard.ui.itemviews.MainPanel object at 0x924e65c>
:file: <File #2088 u'09 - school reunion 80s - cd3.mp3'>

Comment 1 Alex Lancaster 2011-08-29 18:49:04 UTC
Please test the pending update at:

https://admin.fedoraproject.org/updates/picard-0.15.1-1.fc15

to see if it fixes your problem.  (Note that if you have picard-freeworld (for acoustic fingerprinting) installed you will also need to enable the testing repo for that 3rd party repository.)

Comment 2 Fedora Update System 2011-08-29 18:55:31 UTC
picard-0.15.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/picard-0.15.1-1.fc15

Comment 3 Fedora Update System 2011-09-07 00:08:49 UTC
picard-0.15.1-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.